#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	kf5-kservice
Version		:	5.107.0
Release		:	17.0.10.rel%{?dist}
Summary		:	KDE Plugin framework for desktop services
Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	https://download.kde.org/stable/frameworks

Source0		:	%{sname}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	doxygen
BuildRequires	:	extra-cmake-modules
BuildRequires	:	kf5-kconfig-devel
BuildRequires	:	kf5-kcoreaddons-devel
BuildRequires	:	kf5-kcrash-devel
BuildRequires	:	kf5-kdoctools-devel
BuildRequires	:	kf5-kdbusaddons-devel
BuildRequires	:	kf5-ki18n-devel
BuildRequires	:	kf5-rpm-macros
BuildRequires	:	qt5-qttools-devel

#-----------------------------------------------------------------------------
%description
Service provides a plugin framework for handling desktop services. Services can
be applications or libraries. They can be bound to MIME types or handled by
application specific code.

#-----------------------------------------------------------------------------
#BuildRequires	:	mesa-devel
#BuildRequires	:	qt5-qttools-devel
#-----------------------------------------------------------------------------
%files			-f %{sname}.lang
%defattr(-,root,root,-)
%doc README.md
%license LICENSES/*.txt
%{_kf5_sysconfdir}/xdg/menus/kf5-applications.menu
%{_kf5_datadir}/qlogging-categories5/%{sname}.*
%{_kf5_bindir}/kbuildsycoca5
%{_kf5_libdir}/libKF5Service.so.5*
%{_kf5_datadir}/kservicetypes5/
%{_kf5_datadir}/kservices5/
%{_kf5_mandir}/man8/*.8.gz

#=============================================================================
%package		devel
Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}
Requires	:	qt5-rpm-macros

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and
header files for developing applications that
use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_kf5_includedir}/KService/
%{_kf5_libdir}/libKF5Service.so
%{_kf5_libdir}/cmake/KF5Service/
%{_kf5_archdatadir}/mkspecs/modules/qt_KService.pri
%{_qt5_docdir}/*.tags

#=============================================================================
%package		doc
Summary		:	Developer Documentation files for %{name}

#-----------------------------------------------------------------------------
BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description		doc
Developer Documentation files for %{name} for
use with KDevelop or QtCreator.

#-----------------------------------------------------------------------------
%files			doc
%defattr(-,root,root,-)
%{_qt5_docdir}/*.qch

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

cmake								\
	-B _bld							\
	-S .							\
	-D CMAKE_BUILD_TYPE=Release				\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}			\
	-D CMAKE_INSTALL_INCLUDEDIR=%{_includedir}		\
	-D CMAKE_INSTALL_LIBDIR=%{_libdir}			\
	-D CMAKE_INSTALL_LIBEXECDIR=%{_libexecdir}		\
	-D KDE_INSTALL_INCLUDEDIR=%{_includedir}		\
	-D KDE_INSTALL_BINDIR=%{_bindir}			\
	-D KDE_INSTALL_LIBDIR=%{_libdir}			\
	-D KDE_INSTALL_LIBEXECDIR=%{_libexecdir}		\
	-D BUILD_TESTING=OFF					\
	-D BUILD_QCH=ON						\

cmake								\
	--build							\
	_bld							\
	--parallel %(/usr/bin/getconf _NPROCESSORS_ONLN)	\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}							\
	cmake								\
	--install							\
	_bld

%{__mv}									\
	%{buildroot}%{_kf5_sysconfdir}/xdg/menus/applications.menu	\
   	%{buildroot}%{_kf5_sysconfdir}/xdg/menus/kf5-applications.menu

%{__mkdir_p} %{buildroot}%{_kf5_datadir}/kservices5
%{__mkdir_p} mkdir -p %{buildroot}%{_kf5_datadir}/kservicetypes5


%find_lang %{sname} --all-name --with-man
 
#-----------------------------------------------------------------------------
%changelog
